You are not logged in.

1

Monday, October 10th 2011, 7:51am

Need proper Configure command for enabling phonon

Hi,

I need help regarding QT configuration. Currently am building QT4.6.3 source in Ubuntu.
Basically i wanted to configure QT with phonon. i enabled with keyword -phonon , -phonon-backend ect..

But am getting error like "phonon support cannot be enabled due to functionality tests"

Please give me correct configuration command for this..


Thanks
Ram

Junior

Professional

  • "Junior" is male

Posts: 1,622

Location: San Antonio, TX USA

Occupation: Senior Secure Systems Engineer

  • Send private message

2

Tuesday, October 11th 2011, 2:50pm

Phonon Dependencies

As described in the Phonon Overview, Phonon uses the GStreamer multimedia framework as the backend for audio and video playback on X11. The minimum required version of GStreamer is 0.10.

To build Phonon, you need the GStreamer library, base plugins, and development files for your system. The package names for GStreamer vary between Linux distributions; try searching for gstreamer or libgstreamer in your distribution's package repository to find suitable packages.